package gmodel

import (
	"gorm.io/gorm"
	"time"
)

// fs_feishu_config 飞书app配置表
type FsFeishuConfig struct {
	Id            int64      `gorm:"primary_key;default:0;auto_increment;" json:"id"` // ID
	AppId         *string    `gorm:"default:'';" json:"app_id"`                       // app_id
	AppSecret     *string    `gorm:"default:'';" json:"app_secret"`                   // app密钥
	EncryptKey    *string    `gorm:"default:'';" json:"encrypt_key"`                  //
	TicketMetdata *string    `gorm:"default:'';" json:"ticket_metdata"`               // ticket元数据
	Ctime         *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"ctime"`     //
	Utime         *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"utime"`     //
}
type FsFeishuConfigModel struct {
	db   *gorm.DB
	name string
}

func NewFsFeishuConfigModel(db *gorm.DB) *FsFeishuConfigModel {
	return &FsFeishuConfigModel{db: db, name: "fs_feishu_config"}
}
